#*************************************************************
# Progamm:			absorption
# Sinn des Programms: 		Berechnung der Absorption in einer homogenen Schicht
# Sinn der Einheit  :		Einlesen der Steurdaten aus der Steuerdatei	
# Name dieser Datei:		steuer.py
# Versionsnummer:		1
# Wird aufgerufen von:		absorption_haupt.py
# Ruft auf:			-
# Nummer im Programmpaket:	2
# von:				6			
# Autor: 			Armin Ulrich
# Erster Lauf: 			12.07.2018
# Letzte Änderung: 		14.07.2018
#*************************************************************

#*************************************************************
# Importieren der Klassen für Dateifunktionen
#*************************************************************
import os

#*************************************************************
# Importieren der Klassen zur graphischen Darstellung 
#*************************************************************
import tkinter


main = tkinter.Tk()

class Steuer:

  def __init__(self):		
    print("Steuerobjekt erzeugt")


  #Destruktormethode
  def __del__(self):	
    print("Steuerobjekt entfernt")          

  
  def ende(self):
    main.destroy()


#*************************************************************
# Funktion zum Öffnen der Steuerdatei und zum Auslesen der
# Steuerdaten
#*************************************************************
  def steuer_input(self):
    print("Einlesen der Steuerdaten") 
    zeilen_zaehler=0
    if os.path.exists("steuer.txt"):
      print("Datei ist vorhanden")
      fobj_in = open("steuer.txt","r") 
      for zeile in fobj_in:
       
        if(zeilen_zaehler == 0):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 1):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.gitter_datei = zeile[0:länge-1]
          ausgabe = self.gitter_datei
          print(ausgabe)
        if(zeilen_zaehler == 2):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 3):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.kappa_init = float(zeile[0:länge-1])
          ausgabe = self.kappa_init
          print(ausgabe)
        if(zeilen_zaehler == 4):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 5):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.Intens_init = float(zeile[0:länge-1])
          ausgabe = self.Intens_init
          print(ausgabe)
        if(zeilen_zaehler == 6):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 7):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.schirm_ausgabe = int(zeile[0:länge-1])
          ausgabe = self.schirm_ausgabe
          print(ausgabe)
        if(zeilen_zaehler == 8):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 9):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.datei_ausgabe = int(zeile[0:länge-1])
          ausgabe = self.datei_ausgabe
          print(ausgabe)
        if(zeilen_zaehler == 10):
          länge = len(zeile) 
          ausgabe = zeile[0:länge-1]
          print(ausgabe)
        if(zeilen_zaehler == 11):
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          länge = len(zeile)
          self.ausgabe_datei = zeile[0:länge-1]
          ausgabe = self.ausgabe_datei
          print(ausgabe)
        
        

        lb_steuerdaten = tkinter.Label(main, text = ausgabe)
        if zeilen_zaehler % 2 == 0:
          lb_steuerdaten["font"] = "Arial 11 bold"
        else:
          lb_steuerdaten["font"] = "Arial 11"
        lb_steuerdaten["height"] = 1
        lb_steuerdaten["width"] = 40
        lb_steuerdaten["borderwidth"] = 2
        lb_steuerdaten["relief"] = "ridge"
        lb_steuerdaten["bg"] = "#FFFFFF"
        lb_steuerdaten["fg"] = "#000000"
        if zeilen_zaehler % 2 == 0:
          lb_steuerdaten["anchor"] = "w"
        else:
          lb_steuerdaten["anchor"] = "e"
        lb_steuerdaten.pack() 
        zeilen_zaehler=zeilen_zaehler+1

      fobj_in.close()
      # schaltfläche Ende
      b = tkinter.Button(main, text = "weiter", command = self.ende)
      b.pack()
      
      #Endlosschleife
      main.mainloop()
      
      return True
    else:
      print("Datei ist NICHT vorhanden")
      return False 
      
